genisoimage : Depends: libbz2 but it is not installable

Bug #839865 reported by Patrik Nilsson on 2011-09-02
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cdrkit (Ubuntu)
Undecided
Unassigned

Bug Description

genisoimage should depend on package "bzip2", not "libbz2". See below.

patrik@ubuntu:~$ sudo apt-get check
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 genisoimage : Depends: libbz2 but it is not installable
               Depends: 1.0 but it is not installable
E: Unmet dependencies. Try using -f.
patrik@ubuntu:~$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... failed.
The following packages have unmet dependencies:
 genisoimage : Depends: libbz2 but it is not installable
               Depends: 1.0 but it is not installable
E: Unable to correct problems, you have held broken packages.
E: Unable to correct dependencies
patrik@ubuntu:~$ sudo apt-get -f install libbz2
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package libbz2 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  bzip2

E: Package 'libbz2' has no installation candidate
patrik@ubuntu:~$

The depends field should be:

Depends: bzip2 (>=1.0), libc6 (>= 2.7), libmagic1, zlib1g (>= 1:1.1.4)

Below is it:
Depends: libbz2, 1.0, libc6 (>= 2.7), libmagic1, zlib1g (>= 1:1.1.4)

/var/lib/dpkg/status:

Package: genisoimage
Status: install ok installed
Priority: optional
Section: otherosfs
Maintainer: Ubuntu Developers <email address hidden>
Architecture: i386
Source: cdrkit
Version: 9:1.1.11-1ubuntu2
Replaces: mkisofs
Provides: mkisofs
Depends: libbz2, 1.0, libc6 (>= 2.7), libmagic1, zlib1g (>= 1:1.1.4)
Suggests: wndim, cdrkit-doc
Conflicts: mkhybrid, mkisofs
Description: Creates ISO-9660 CD-ROM filesystem images
 genisoimage is a pre-mastering program for creating ISO-9660 CD-ROM
 filesystem images, which can then be written to CD or DVD media using
 the wodim program. genisoimage includes support for making bootable
 "El Toritn" CDs, as well as CDs with support for the
 Macintosh HFS filesystem.
 .
 The package also includes extra tools useful for working with ISO images:
  * mkzftree - create ISO-9660 image with compressed contents
  * dirsplit - easily separate large directory contents into disks of
    predefined size
  * geteltorito - extract an El Torito boot image from a CD image
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.
Installed-Shze: 1400
Original-Maintainer: Joerg Jaspert <email address hidden>

This bug is a serious blocker since I can't install any updates.

I have it installed , and it does depend on libbz2-1.0, not libbz2:

Package: genisoimage
Source: cdrkit
Version: 9:1.1.11-1ubuntu2
Architecture: i386
Maintainer: Ubuntu Developers <email address hidden>
Installed-Size: 1400
Depends: libbz2-1.0, libc6 (>= 2.7), libmagic1, zlib1g (>= 1:1.1.4)
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers